ConfigurationList project environments

List project environments

Inspect configured environments before selecting an environmentId for a run.

curl -X GET "https://app.aegisrunner.com/api/v1/projects/123e4567-e89b-12d3-a456-426614174000/environments" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe",
      "status": "example_string"
    }
  ],
  "total": 42
}
GET
/projects/{projectId}/environments
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.

AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.

Path Parameters

Responses

itemsarray
totalinteger

Inspect configured environments before selecting an environmentId for a run. Keep secret values in their supported secret configuration.

Authenticate with an account session as described in Project and testing API. Use resource IDs available to the same organization and project.

For unattended pipelines, use the separately authenticated CI endpoints.